- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new Team in an instance. The server assigns the Team ID.
HTTP request
POST https://mpc.googleapis.com/v1beta/{parent=projects/*/locations/*/instances/*}/teams
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent instance where the Team will be created. Format: projects/{project}/locations/{location}/instances/{instance} It takes the form |
Query parameters
| Parameters | |
|---|---|
requestId |
Optional. An idempotency key. Because Team IDs are server-generated, a client must set this to retry a create safely. If a request with the same requestId was already completed, the server returns the Team it created. Must be a UUID4 and not the zero UUID. |
Request body
The request body contains an instance of Team.
Response body
If successful, the response body contains a newly created instance of Team.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.